import React from 'react';
import { Button } from '@patternfly/react-core';
import { render, screen } from '@testing-library/react';
import { SettingsForm } from './SettingsForm';
describe('SettingsForm', () => {
    it('should render settingsForm with custom classname', () => {
        const { container } = render(React.createElement(SettingsForm, { className: "custom-settings" }));
        expect(container.querySelector('.custom-settings')).toBeTruthy();
    });
    it('should render settingsForm with fields', () => {
        const fields = [
            {
                id: 'archived-chat',
                label: 'Archive chat',
                field: (React.createElement(Button, { id: "archived-chat", variant: "secondary" }, "Archive chat"))
            }
        ];
        render(React.createElement(SettingsForm, { fields: fields }));
        expect(screen.getByRole('button', { name: 'Archive chat' })).toBeTruthy();
    });
});
